#include "stdafx.h"

#include "Machine.h"

CMachineParameter const *pParameters[] =
{
	// Global
	&paraDummy,

	// Track
	&paraDummy,

	NULL
};

CMachineAttribute const *pAttributes[] = {
	&attrDummy,
	NULL
};

CMachineInfo const MacInfo =
{
	MT_GENERATOR,							//Machine type
	MI_VERSION,								//Interface version
	MIF_NO_OUTPUT | MIF_CONTROL_MACHINE,	//Flags
	1,										//Min tracks
	MAX_TRACKS,								//Max tracks
	NUM_GLOBAL_PARAMS,						//Number of global parameters
	NUM_TRACK_PARAMS,						//Number of track parameters
	pParameters,							//Pointer to parameters
	NUM_ATTRIBUTES,							//Number of attributes
	pAttributes,							//Pointer to attributes
#ifdef UNICODE
	"MFC Test - Unicode",					//Full name
	"MFC Test - Unicode",					//Short name
#else
	"MFC Test",								//Full name
	"MFC Test",								//Short name
#endif
	"IX",									//Author
	"Test"									//Commands
};

////////////////////////////////////////////////////////////////////////

DLL_EXPORTS_AFX

////////////////////////////////////////////////////////////////////////
// mi
////////////////////////////////////////////////////////////////////////

mi::mi()
{
	GlobalVals = &gval;
	TrackVals = &tval;
	AttrVals = (int *)&aval;
}

mi::~mi()
{
}

////////////////////////////////////////////////////////////////////////
// CMachineInterface
////////////////////////////////////////////////////////////////////////

void mi::Command(const int i)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	switch(i)
	{
	case 0 :
		{
			CTestDialog dlg;
			dlg.DoModal();
		}
		break;
	}
}

////////////////////////////////////////////////////////////////////////
// CMachineInterfaceEx
////////////////////////////////////////////////////////////////////////

